Package org.springframework.beans.factory.annotation

# Class CustomAutowireConfigurer

java.lang.Object
org.springframework.beans.factory.annotation.CustomAutowireConfigurer

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryPostProcessor`, `org.springframework.core.Ordered`

public class CustomAutowireConfigurer extends Object implements BeanFactoryPostProcessor, BeanClassLoaderAware, org.springframework.core.Ordered
A `BeanFactoryPostProcessor` implementation that allows for convenient registration of custom autowire qualifier types.

     <bean id="customAutowireConfigurer" class="org.springframework.beans.factory.annotation.CustomAutowireConfigurer">
       <property name="customQualifierTypes">
         <set>
           <value>mypackage.MyQualifier</value>
         </set>
       </property>
     </bean>

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  - `Qualifier`

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`CustomAutowireConfigurer()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getOrder()`
`void`
`postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)`
Modify the application context's internal bean factory after its standard initialization.
`void`
`setBeanClassLoader(ClassLoader beanClassLoader)`
Callback that supplies the bean `class loader` to a bean instance.
`void`
`setCustomQualifierTypes(Set<?> customQualifierTypes)`
Register custom qualifier annotation types to be considered when autowiring beans.
`void`
`setOrder(int order)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomAutowireConfigurer

public CustomAutowireConfigurer()

## Method Details

### setOrder

public void setOrder(int order)

### getOrder

public int getOrder()

Specified by:
  `getOrder` in interface `org.springframework.core.Ordered`

### setBeanClassLoader

public void setBeanClassLoader(@Nullable ClassLoader beanClassLoader)
Description copied from interface: `BeanClassLoaderAware`
Callback that supplies the bean `class loader` to a bean instance.

Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean's` `InitializingBean.afterPropertiesSet()` method or a custom init-method.

Specified by:
  `setBeanClassLoader` in interface `BeanClassLoaderAware`
Parameters:
  `beanClassLoader` - the owning class loader

### setCustomQualifierTypes

public void setCustomQualifierTypes(Set<?> customQualifierTypes)
Register custom qualifier annotation types to be considered when autowiring beans. Each element of the provided set may be either a Class instance or a String representation of the fully-qualified class name of the custom annotation.

Note that any annotation that is itself annotated with Spring's `Qualifier` does not require explicit registration.

Parameters:
  `customQualifierTypes` - the custom types to register

### postProcessBeanFactory

public void postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory) throws BeansException
Description copied from interface: `BeanFactoryPostProcessor`
Modify the application context's internal bean factory after its standard initialization. All bean definitions will have been loaded, but no beans will have been instantiated yet. This allows for overriding or adding properties even to eager-initializing beans.

Specified by:
  `postProcessBeanFactory` in interface `BeanFactoryPostProcessor`
Parameters:
  `beanFactory` - the bean factory used by the application context
Throws:
  `BeansException` - in case of errors